Option to send email notification on "Target version updated"

2014-09-11 08:41 - Rakesh Gupta

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

I have a request to add an option to send email notification of Issues Target Version  changes. It may be possible to provide an

option to enable this in the Administration Panel under Email Notifications. I could not find such option in the Administration Panel.

Thanking you in advance.

regards

Rakesh

Related issues:

Related to Redmine - Feature #17289: e-mail notification in case of ticket up... New

Associated revisions

Revision 18595 - 2019-10-05 11:46 - Go MAEDA

Option to send email notification on "Target version updated" (#17840).

Patch by Yuichi HARADA.

Revision 18596 - 2019-10-05 11:48 - Go MAEDA

Update locales (#17840).

History

#1 - 2014-09-11 09:11 - Michael Esemplare

Related to #17289

#2 - 2014-09-11 09:36 - Jean-Baptiste Barth

- Status changed from New to Needs feedback

Just so you know, enabling "Issue updated" will email you on every issue update, including modification of "Target version". If I misunderstood your

request please explain what you want with more details.

#3 - 2014-09-11 10:47 - Rakesh Gupta

I would like to get mail notification ONLY if issue is updated for "Target Version Updation". Example; A issue is updated 10 times out of which 2 times

it was updated for changing the Target Version from "M1 to M2" and from "M2 to M3" so by default i will get email notification 10 times but i would like

to have configuration only to receive 2 email Notifications related to following:

1) Target version changed from M1 to M2

2) Target version changed from M2 to M3

Objective is to watch only scope change for Target Milestones.

Note: M1,M2 and M3 are Target Version in this example.

#4 - 2014-09-11 12:48 - Jean-Baptiste Barth

Ok I understand the request. It's not implemented for now but it may be something great in the future. If you need this quickly, maybe you can develop

a plugin to do that, it's not really complicated to filter out notifications based on pre-defined criteria as long as the criteria are simple and don't change.

#5 - 2014-10-09 14:16 - Toshi MARUYAMA

- Related to Feature #17289: e-mail notification in case of ticket update - more options for opt-out added
#6 - 2014-10-09 14:22 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#7 - 2019-10-04 02:46 - Yuichi HARADA

- File notified_events_target_version.png added

- File 17840_notified_events_target_version.patch added

I added "Target version updated" checkbox to "Administration" > "Settings" > "Email notifications" tab.

 notified_events_target_version.png 

I attached a patch.

#8 - 2019-10-04 03:18 - Go MAEDA

- File nofitified_events_setting-20191004@2x.png added

- Target version set to Candidate for next major release

This is a truly useful feature. The change of the target version is one of the important information to be notified.

The following screenshot is the notified_events configuration that I am actually using in my company. I have disabled "Issue updated" and enabled

"Note added" and "Assignee updated" because I don't want to receive trivial notifications such as "Relation added" and "Subject updated".

 

The above config works fine for me except for one thing. The only problem for me is that the update of the target version is not notified. Currently,

there is no means to notify it if "Issue updated" is disabled.

If the proposed feature is implemented, I can configure to notify the update of the target version with disabling "Issue updated".

#9 - 2019-10-04 05:42 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

The patch works fine. Setting the target version to 4.2.0.

#10 - 2019-10-05 11:48 - Go MAEDA

- Subject changed from Add email notification on "Target Version Changes" for issues to Option to send email notification on "Target version updated"

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.2.0 to 4.1.0

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#11 - 2019-10-06 05:22 - Mischa The Evil

Go MAEDA wrote:

Committed the patch.

 Thanks for adjusting the test name. ;-)
Files

notified_events_target_version.png 64.9 KB 2019-10-04 Yuichi HARADA

17840_notified_events_target_version.patch 3.81 KB 2019-10-04 Yuichi HARADA

nofitified_events_setting-20191004@2x.png 42 KB 2019-10-04 Go MAEDA
